Package org.eclipse.cdt.core.parser

# Class EndOfFileException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.cdt.core.parser.EndOfFileException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `OffsetLimitReachedException`

public class EndOfFileException extends Exception

See Also:
  - Serialized Form
Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`EndOfFileException(int offset)`
`EndOfFileException(int offset, boolean endsInactiveCode)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`endsInactiveCode()`
`int`
`getEndOffset()`
Returns the offset at which the translation unit ends, or -1 if not known.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EndOfFileException

public EndOfFileException(int offset)

Since:
  5.2

### EndOfFileException

public EndOfFileException(int offset, boolean endsInactiveCode)

Since:
  5.2

## Method Details

### endsInactiveCode

public boolean endsInactiveCode()

Since:
  5.1

### getEndOffset

public int getEndOffset()
Returns the offset at which the translation unit ends, or -1 if not known.

Since:
  5.2